/*
     
IMPORTANT:
Do not directly connect Vcc/Aref to ADC inputs since unused inputs are
grounded to reduce noise

*/

#ifndef ADC_H
#define ADC_H

#ifndef  F_CPU
#define  F_CPU                   100000
#endif
// Noise reduction turns unused A/D pins to ground outputs
#define  ADC_NOISE_REDUCTION     1   // Noise reduction (use if possible)       
#define  ADC_CLOCK_KHZ           200        

#define ADC_CH0           0
#define ADC_CH1           1
#define ADC_CH2           2
#define ADC_CH3           3
#define ADC_CH4           4
#define ADC_CH5           5


extern void  adc_init(void);
extern unsigned int  adc_convert(unsigned char channel);


#endif  /* ADC_H */


